Subject: Re: [PATCH 0/9] Offer to run CI/PR builds in Visual Studio Team Services

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 15 Oct 2018 17:06:56 +0200

On Mon, Sep 03 2018, Johannes Schindelin via GitGitGadget wrote:

> As a special treat, this patch series adds the ability to present the
> outcome of Git's test suite as JUnit-style .xml files. This allows the VSTS
> build to present fun diagrams, trends, and makes it a lot easier to drill
> down to test failures than before. See for example
> https://git.visualstudio.com/git/_build/results?buildId=113&view=ms.vss-test-web.test-result-details
> [https://git.visualstudio.com/git/_build/results?buildId=113&view=ms.vss-test-web.test-result-details]
> (you can click on the label of the failed test, and then see the detailed
> output in the right pane).
>
> This patch series took way more time than I had originally planned, but I
> think that in particular the advanced display of the test results was worth
> it. Please let me know what you think about this.

I have not reviewed this in any detail, but incorporating this in some
form or other seems like a no-brainer to me.

If we have "free" (from the perspective of the project) CPU being
offered by various CI setups let's use it.

If people don't like it they don't have to look at those CI runs, and
the burden of carrying another CI in git.git is minimal, and actually
this patch series makes it much easier to incorporate other CI's later,
since you took care of moving the Travis-specific bits out.

As an aside I poked Junio via private mail in late August to see if he'd
be interested in pushing to gitlab.com/git/git.git too as part of his
normal push-outs. One neat thing that would buy us is the ability to
have a .gitlab-ci.yml in git.git and use their CI implementation.